XOOPS: XOOPS 2.0.1 Released

Posted by: onokazuon 2003/4/18 17:57:13 5892 reads XOOPS Team is pleased to announce the second stable release of XOOPS 2.0. This release includes numerous bug fixes, increasing stability.

Changes
========
- fixed bug where notification feature was always disabled
- fixed character encoding problem for some languages when using the mailer class
- fixed the theme selection block to work again
- fixed typo in kernel/module.php
- fixed incorrect table name in xoops_version.php of the new headline module
- changed max limit size of some columns in the configoption table
- fixed image manager bug when using db store method
- xoops.org news in the admin section can now be turned off by adding nonews=1 at the end of admin main page URL (admin.php?nonews=1)

Requirements
========
PHP 4.1.0 or later (on IIS, 4.3.1 or later)
MySQL 3.23.xx

Install
========
Download the full package, unpack it and upload all files included. Point your browser to /install/index.php to start the installer. Please read docs/INSTALL.html for details on installation and/or read the Install and Upgrade sections of the Wiki ( http://wiki.xoops.org ).

Upgrade
========
Upgrade from XOOPS 2.0.0
1. Download the fix package (tar.gz / zip), unpack it and upload all files included (some files will be overwritten).
2. Point your browser to http://path_to_xoops/upgrade/xoops2_0_to_2_0_1.php and follow the instruction displayed.

Upgrade from XOOPS 2.0 RC3
1. You must first upgrade to XOOPS 2.0.0. To do so, download the fix package (tar.gz / zip) for XOOPS 2.0 RC3, unpack it and upload all files included (some files will be overwritten). Then follow the upgrade instruction above for XOOPS 2.0.0.

Upgrade from XOOPS 2.0 RC2
1. Read this article and upgrade to XOOPS 2.0 RC3 first. Then follow the upgrade instruction above for XOOPS 2.0 RC3.

Upgrade from XOOPS 1.3.x
1. Download the full package, unpack it and upload all files included (some files will be overwritten).
2. Point your browser to /install/index.php to start the installer. The installer will automatically detect your 1.3.x and upgrade to 2.0.1. Please read docs/INSTALL.html for details on installation and/or read the Install and Upgrade sections of the Wiki (wiki.xoops.org).

Language
========
Language files can be (or will be) downloaded here.